> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all available brands and Entity types

> Returns a list with the available Entity types and the possible brand for each type.



## OpenAPI

````yaml get /v1/onboarding/types/entities
openapi: 3.0.4
info:
  title: Connect Onboarding API
  description: Provides endpoints to process onboarding.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
tags:
  - name: Collective onboarding
    description: Manages Collective Onboarding in the platform
  - name: Entity onboarding
    description: Manages Entity onboarding in the platform
  - name: Guided entity onboarding
    description: Add an entity to the platform through a guided onboarding session
paths:
  /v1/onboarding/types/entities:
    get:
      tags:
        - Entity onboarding
      summary: Retrieve available Entity brands and types
      description: >-
        Returns a list with the available Entity types and the possible brand
        for each type.
      operationId: get-getentityonboardingtypes
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Onboarding.App.Models.V1.PagedEntityOnboardingTypes
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Onboarding.App.Models.V1.PagedEntityOnboardingTypes:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/Connect.Service.Onboarding.App.Models.V1.EntityOnboardingType
          nullable: true
        links:
          $ref: '#/components/schemas/Connect.Models.Links'
        meta:
          $ref: '#/components/schemas/Connect.Models.Meta'
      additionalProperties: false
      description: A page of Entity onboarding request types
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Onboarding.App.Models.V1.EntityOnboardingType:
      type: object
      properties:
        brands:
          type: array
          items:
            type: string
          description: The available brands for the type
          nullable: true
        type:
          $ref: >-
            #/components/schemas/Connect.Service.Onboarding.Core.Models.Data.EntityType
      additionalProperties: false
      description: A type of Entity that can be onboarded
    Connect.Models.Links:
      type: object
      properties:
        next:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Models.Meta:
      type: object
      properties:
        continuationToken:
          type: string
          nullable: true
        pageSize:
          type: integer
          format: int32
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Service.Onboarding.Core.Models.Data.EntityType:
      enum:
        - Battery
        - ChargePoint
        - EV
        - HeatPump
        - SolarPlant
        - RetrofitMeter
        - Meter
        - Inverter
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````